/*
██╗  ██╗ █████╗ ██╗   ██╗███████╗███╗   ██╗    ███╗   ███╗ ██████╗ ██████╗ ██████╗  █████╗  ██████╗██╗  ██╗███████╗
██║  ██║██╔══██╗██║   ██║██╔════╝████╗  ██║    ████╗ ████║██╔═══██╗██╔══██╗██╔══██╗██╔══██╗██╔════╝██║ ██╔╝██╔════╝
███████║███████║██║   ██║█████╗  ██╔██╗ ██║    ██╔████╔██║██║   ██║██║  ██║██████╔╝███████║██║     █████╔╝ ███████╗
██╔══██║██╔══██║╚██╗ ██╔╝██╔══╝  ██║╚██╗██║    ██║╚██╔╝██║██║   ██║██║  ██║██╔═══╝ ██╔══██║██║     ██╔═██╗ ╚════██║
██║  ██║██║  ██║ ╚████╔╝ ███████╗██║ ╚████║    ██║ ╚═╝ ██║╚██████╔╝██████╔╝██║     ██║  ██║╚██████╗██║  ██╗███████║
╚═╝  ╚═╝╚═╝  ╚═╝  ╚═══╝  ╚══════╝╚═╝  ╚═══╝    ╚═╝     ╚═╝ ╚═════╝ ╚═════╝ ╚═╝     ╚═╝  ╚═╝ ╚═════╝╚═╝  ╚═╝╚══════╝
*/
ServerEvents.recipes(e => 
    {
        e.remove({ id: 'createsifter:sifting/dirt_strig_mesh_waterlogged'})
        e.remove({ id: 'createsifter:sifting/dirt_string_mesh_waterlogged'})
        e.remove({ id: 'createsifter:sifting/gravel_brass_mesh'})
        e.remove({ id: 'createsifter:sifting/gravel_zinc_mesh'})
        e.remove({ id: 'createsifter:sifting/gravel_andesite_mesh'})
        e.remove({ id: 'createsifter:sifting/gravel_advanced_brass_mesh'})
        e.remove({ id: 'createsifter:sifting/soul_sand_advanced_brass_mesh'})
        e.remove({ id: 'createsifter:sifting/sand_string_mesh'})
        e.remove({ id: 'createsifter:sifting/sand_andesite_mesh'})
        e.remove({ id: 'createsifter:sifting/sand_brass_mesh'})
        e.remove({ id: 'createsifter:sifting/sand_zinc_mesh'})
            
    // STRING MESH ON DIRT
        e.recipes.createsifterSifting([
            Item.of('minecraft:beetroot_seeds').withChance(0.1),
            Item.of('farmersdelight:cabbage_seeds').withChance(0.1),
            Item.of('farmersdelight:tomato_seeds').withChance(0.1),
            Item.of('thermal:amaranth_seeds').withChance(0.1),
            Item.of('thermal:barley_seeds').withChance(0.1),
            Item.of('thermal:corn_seeds').withChance(0.1),
            Item.of('thermal:flax_seeds').withChance(0.1),
            Item.of('thermal:onion_seeds').withChance(0.1),
            Item.of('thermal:radish_seeds').withChance(0.1),
            Item.of('thermal:rice_seeds').withChance(0.1),
            Item.of('thermal:sadiroot_seeds').withChance(0.1),
            Item.of('thermal:green_bean_seeds').withChance(0.1),
            Item.of('thermal:peanut_seeds').withChance(0.1),
            Item.of('thermal:strawberry_seeds').withChance(0.1),
            Item.of('thermal:spinach_seeds').withChance(0.1)
            ], ['minecraft:dirt','createsifter:string_mesh'])
    
    // ANDESITE MESH ON DIRT    
        e.recipes.createsifterSifting([
            Item.of('thermal:bell_pepper_seeds').withChance(0.25),
            Item.of('thermal:eggplant_seeds').withChance(0.25),
            Item.of('thermal:hops_seeds').withChance(0.25),
            Item.of('thermal:tea_seeds').withChance(0.25),
            Item.of('immersiveengineering:seed').withChance(0.25),
            Item.of('supplementaries:flax_seeds').withChance(0.25),
            Item.of('minecraft:sugar_cane').withChance(0.25),
            Item.of('minecraft:sweet_berries').withChance(0.25),
            Item.of('minecraft:cactus').withChance(0.25), 
            Item.of('minecraft:bamboo').withChance(0.25), 
            Item.of('minecraft:glow_berries').withChance(0.25),
            Item.of('minecraft:cocoa_beans').withChance(0.25),
            Item.of('exdeorum:grass_seeds').withChance(0.1)
            ], ['minecraft:dirt','createsifter:andesite_mesh'])
            
    // DIRT ON STRING MESH WATERLOGGED
        e.recipes.createsifterSifting([
            Item.of('minecraft:kelp').withChance(0.1),
            Item.of('minecraft:prismarine_shard').withChance(0.05),
            Item.of('minecraft:slime_ball').withChance(0.1),
            Item.of('minecraft:frogspawn').withChance(0.05),
            Item.of('minecraft:scute').withChance(0.025),
            Item.of('minecraft:lily_pad').withChance(0.1),
            Item.of('minecraft:sea_pickle').withChance(0.1),
            Item.of('minecraft:prismarine_crystals').withChance(0.1)
            ], ['minecraft:dirt','createsifter:string_mesh']).waterlogged()
    
    // DIRT ON ANDESITE MESH WATERLOGGED
         e.recipes.createsifterSifting([
            Item.of('minecraft:kelp').withChance(0.35),
            Item.of('minecraft:prismarine_shard').withChance(0.3),
            Item.of('minecraft:slime_ball').withChance(0.3),
            Item.of('minecraft:frogspawn').withChance(0.1),
            Item.of('minecraft:scute').withChance(0.025),
            Item.of('minecraft:lily_pad').withChance(0.25),
            Item.of('minecraft:sea_pickle').withChance(0.25),
            Item.of('minecraft:prismarine_crystals').withChance(0.3),
            Item.of('minecraft:ink_sac').withChance(0.1),
            Item.of('exdeorum:mycelium_spores').withChance(0.1)
            ], ['minecraft:dirt','createsifter:andesite_mesh']).waterlogged()
    
    // GRAVEL ON STRING
        e.recipes.createsifterSifting([
            Item.of('createhaven:iron_dust').withChance(0.1),
            Item.of('thermal:copper_nugget').withChance(0.1),
            Item.of('create:zinc_nugget').withChance(0.1),
            Item.of('immersiveengineering:nugget_aluminum').withChance(0.1),
            Item.of('mekanism:nugget_uranium').withChance(0.05),
            Item.of('havenalchemy:mini_coal').withChance(0.15),
            Item.of('createhaven:diamond_dust').withChance(0.01),
            Item.of('createhaven:emerald_dust').withChance(0.01),
            Item.of('minecraft:flint').withChance(0.05),
            Item.of('powah:uraninite_raw').withChance(0.01)
            ], ['minecraft:gravel','createsifter:string_mesh'])
    
    //GRAVEL ON ANDESITE
        e.recipes.createsifterSifting([
            Item.of('createhaven:iron_dust').withChance(0.35),
            Item.of('thermal:copper_nugget').withChance(0.25),
            Item.of('create:zinc_nugget').withChance(0.25),
            Item.of('immersiveengineering:nugget_aluminum').withChance(0.25),
            Item.of('mekanism:nugget_uranium').withChance(0.1),
            Item.of('havenalchemy:mini_coal').withChance(0.35),
            Item.of('createhaven:diamond_dust').withChance(0.075),
            Item.of('createhaven:emerald_dust').withChance(0.05),
            Item.of('minecraft:flint').withChance(0.10),
            Item.of('thermal:nickel_dust').withChance(0.05),
            Item.of('powah:uraninite_raw').withChance(0.075)
            ], ['minecraft:gravel','createsifter:andesite_mesh'])

    // BALLAST ON BRASS
        e.recipes.createsifterSifting([
            Item.of('minecraft:iron_nugget').withChance(0.25),
            Item.of('thermal:apatite').withChance(0.025),
            Item.of('thermal:cinnabar').withChance(0.05),
            Item.of('thermal:niter').withChance(0.025),
            Item.of('thermal:sulfur').withChance(0.01),
            Item.of('mekanism:dust_fluorite').withChance(0.12)
            ], ['davebuildingmod:ballast','createsifter:brass_mesh'])
    
    // BALLAST ON BRASS
    e.recipes.createsifterSifting([
        Item.of('createhaven:iron_dust').withChance(0.25),
        Item.of('thermal:apatite').withChance(0.025),
        Item.of('thermal:cinnabar').withChance(0.05),
        Item.of('thermal:niter').withChance(0.025),
        Item.of('thermal:sulfur').withChance(0.01),
        Item.of('mekanism:dust_fluorite').withChance(0.12),
        Item.of('thermal:phytogro').withChance(0.010)
        ], ['davebuildingmod:ballast','createsifter:advanced_brass_mesh'])

    // GRAVEL ON ADVANCED BRASS
        e.recipes.createsifterSifting([
            Item.of('create:crushed_raw_iron').withChance(0.15),
            Item.of('create:crushed_raw_gold').withChance(0.05),
            Item.of('create:crushed_raw_zinc').withChance(0.10),
            Item.of('create:crushed_raw_copper').withChance(0.10),
            Item.of('create:crushed_raw_osmium').withChance(0.05),
            Item.of('create:crushed_raw_silver').withChance(0.08),
            Item.of('create:crushed_raw_tin').withChance(0.08),
            Item.of('create:crushed_raw_lead').withChance(0.08),
            Item.of('create:crushed_raw_aluminum').withChance(0.08),
            Item.of('create:crushed_raw_uranium').withChance(0.03),
            Item.of('create:crushed_raw_nickel').withChance(0.08),
            Item.of('powah:uraninite_raw').withChance(0.04),
            Item.of('createhaven:netherite_dust').withChance(0.02),
            Item.of('minecraft:emerald').withChance(0.02),
            Item.of('minecraft:diamond').withChance(0.04),
            Item.of('minecraft:lapis_lazuli').withChance(0.10),
            Item.of('create:experience_nugget').withChance(0.10)
            ], ['minecraft:gravel','createsifter:advanced_brass_mesh'])
            
    // SAND ON STRING
        e.recipes.createsifterSifting([
            Item.of('thermal:silver_nugget').withChance(0.15),
            Item.of('thermal:nickel_nugget').withChance(0.15),
            Item.of('mekanism:nugget_osmium').withChance(0.075),
            Item.of('mekanism:nugget_tin').withChance(0.15)
            ], ['minecraft:sand','createsifter:string_mesh'])
    
    // SAND ON ANDESITE
        e.recipes.createsifterSifting([
            Item.of('thermal:silver_nugget').withChance(0.25),
            Item.of('thermal:nickel_nugget').withChance(0.25),
            Item.of('mekanism:nugget_osmium').withChance(0.15),
            Item.of('mekanism:nugget_tin').withChance(0.25)
            ], ['minecraft:sand','createsifter:andesite_mesh'])
    
    // DUST ON STRING
        e.recipes.createsifterSifting([
            Item.of('mekanism:nugget_lead').withChance(0.1),
            Item.of('minecraft:redstone').withChance(0.1),
            Item.of('createhaven:lapis_dust').withChance(0.05),
            Item.of('minecraft:bone_meal').withChance(0.1),
            Item.of('minecraft:glowstone_dust').withChance(0.01)
            ], ['havenalchemy:dust','createsifter:string_mesh'])
            
    // DUST ON ANDESITE
        e.recipes.createsifterSifting([
            Item.of('mekanism:nugget_lead').withChance(0.35),
            Item.of('minecraft:redstone').withChance(0.35),
            Item.of('createhaven:lapis_dust').withChance(0.15),
            Item.of('minecraft:bone_meal').withChance(0.35),
            Item.of('minecraft:glowstone_dust').withChance(0.15),
            Item.of('ae2:certus_quartz_crystal').withChance(0.1)
            ], ['havenalchemy:dust','createsifter:andesite_mesh'])
    
    // SOUL SAND ON STRING
        e.recipes.createsifterSifting([
            Item.of('createhaven:quartz_dust').withChance(0.1),
            Item.of('minecraft:nether_wart').withChance(0.075),
            Item.of('minecraft:ghast_tear').withChance(0.005),
            Item.of('minecraft:blaze_powder').withChance(0.05)
            ], ['minecraft:soul_sand','createsifter:string_mesh'])
    
    // SOUL SAND ON ANDESITE
        e.recipes.createsifterSifting([
            Item.of('createhaven:quartz_dust').withChance(0.4),
            Item.of('minecraft:nether_wart').withChance(0.2),
            Item.of('minecraft:ghast_tear').withChance(0.01),
            Item.of('minecraft:blaze_powder').withChance(0.35)
            ], ['minecraft:soul_sand','createsifter:andesite_mesh'])

    // SOUL SAND ON ADVANCED BRASS
        e.recipes.createsifterSifting([
            Item.of('createhaven:quartz_dust').withChance(0.50),
            Item.of('minecraft:blaze_powder').withChance(0.15),
            Item.of('minecraft:ghast_tear').withChance(0.01),
            Item.of('fluxnetworks:flux_dust').withChance(0.02)  
            ], ['minecraft:soul_sand','createsifter:advanced_brass_mesh'])            
            
    // CRUSHED NETHERRACK ON STRING
        e.recipes.createsifterSifting([
            Item.of('createhaven:gold_dust').withChance(0.25),
            Item.of('createhaven:netherite_dust').withChance(0.0055)
            ], ['havenalchemy:crushed_netherrack','createsifter:string_mesh'])
            
    // CRUSHED NETHERRACK ON ANDESITE
        e.recipes.createsifterSifting([
            Item.of('createhaven:gold_dust').withChance(0.5),
            Item.of('createhaven:netherite_dust').withChance(0.015),
            Item.of('ae2:sky_dust').withChance(0.05)
            ], ['havenalchemy:crushed_netherrack','createsifter:andesite_mesh'])
    
    // CRUSHED END STONE ON STRING
        e.recipes.createsifterSifting([
            Item.of('minecraft:chorus_fruit').withChance(0.025),
            Item.of('minecraft:ender_pearl').withChance(0.1),
            Item.of('minecraft:dragon_breath').withChance(0.001)
            ], ['havenalchemy:crushed_end_stone','createsifter:string_mesh'])
            
    // CRUSHED END STONE ON ANDESITE
        e.recipes.createsifterSifting([
            Item.of('minecraft:chorus_fruit').withChance(0.075),
            Item.of('minecraft:ender_pearl').withChance(0.2),
            Item.of('minecraft:dragon_breath').withChance(0.005)
            ], ['havenalchemy:crushed_end_stone','createsifter:andesite_mesh'])
            
    // SCULK ON ADVANCED BRASS
        e.recipes.createsifterSifting([
            Item.of('minecraft:sculk_catalyst').withChance(0.005),
            Item.of('exdeorum:sculk_core').withChance(0.0035),
            Item.of('minecraft:sculk_shrieker').withChance(0.0025),
            Item.of('minecraft:sculk_vein').withChance(0.005),
            Item.of('minecraft:echo_shard').withChance(0.002)
            ], ['minecraft:sculk','createsifter:advanced_brass_mesh'])
    })